Bug 439539 - RHEL4 kernel ignores extended cpu model field
RHEL4 kernel ignores extended cpu model field
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
urgent Severity high
: rc
: ---
Assigned To: John Villalovos
Martin Jenner
: ZStream
Depends On:
Blocks: 245608 439540 448359
  Show dependency treegraph
 
Reported: 2008-03-28 18:47 EDT by Geoff Gustafson
Modified: 2015-05-08 09:58 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:28:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
read the extended model field (1.38 KB, patch)
2008-04-16 11:36 EDT, Geoff Gustafson
no flags Details | Diff

  None (edit)
Description Geoff Gustafson 2008-03-28 18:47:07 EDT
I recently noticed that Penryn-class CPUs are reported in /proc/cpuinfo as model
7 on RHEL4, but model 23 on RHEL5. When I found bz 439254 I realized that the
same problem will affect RHEL4.

With the Penryn-class CPUs, Intel introduced a new extended model field so the
model could go beyond four bits. Thus the top bit of model 23 is being ignored
and reported as 7. This causes several problems... for example, the CONSTANT_TSC
feature bit will not be set as it should be, and the chip will be treated as
Pentium III for the purposes of oprofile, and newer performance registers will
not be exposed.

This affects the latest generation of Intel processors and future generations
such as Nehalem.
Comment 1 RHEL Product and Program Management 2008-03-31 12:18:53 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Vivek Goyal 2008-04-04 09:58:07 EDT
Committed in 68.29.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 4 Johnray Fuller 2008-04-16 09:32:21 EDT
Can the patch for this issue be attached to the BZ? I want to see how it differs
from the one in BZ 313631 (which introduced this regression).

J
Comment 5 Geoff Gustafson 2008-04-16 11:11:00 EDT
Bug 313631 didn't introduce a regression, but it only fixed two of the four
spots where this bug occurred. The new patch fixed the remaining two spots.
Comment 6 Geoff Gustafson 2008-04-16 11:36:43 EDT
Created attachment 302623 [details]
read the extended model field
Comment 10 errata-xmlrpc 2008-07-24 15:28:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html

Note You need to log in before you can comment on or make changes to this bug.